Summary: Linux enhanced port of winpopup
Name: LinPopUp
Version: 0.9.6
Release: 1
Icon: linpopup.gif
Copyright: GPL
Group: Networking
Source: LinPopUp-0.9.6.src.tar.gz
URL: http://www.litlleigloo.org


%description
LinPopUp is a Xwindow graphical port of Winpopup,
running over Samba. It permits to communicate with a
windows computer that runs Winpopup, sending or 
receiving message. (It also provides an alternative way
to communicate between Linux computers that run Samba).
Please note that LinPopUp is not only a port, as it includes
several enhanced features. Also note that it requires to
have Samba installed to be fully functionnal. 
Check http://www.littleigloo.org for last RPM packages.



%prep
%setup


%build
cd src
make DESTDIR=/usr SHARE_PATH=/var/lib/linpopup

%install
cd src
make DESTDIR=/usr  SHARE_PATH=/var/lib/linpopup install

%post
if [ ! -e /var/lib/linpopup ]; then
    mkdir -m0755 /var/lib/linpopup;
else :; fi;
if [ ! -f /var/lib/linpopup/messages.dat ]; then
    touch /var/lib/linpopup/messages.dat;
    chmod 0666 /var/lib/linpopup/messages.dat;
    chgrp nobody /var/lib/linpopup/messages.dat;
else :; fi;  

%postun
if [ -e THIS_DATA_DIR ]; then
    rm -Rf THIS_DATA_DIR;
else :; fi;    	

%files
%doc AUTHORS INSTALL BUGS TODO 
/usr/bin/LinPopUp
/usr/man/man1/LinPopUp.1
/usr/bin/linpopup
/usr/man/man1/linpopup.1
/var/lib/linpopup/docs
/var/lib/linpopup/misc